/* XTRON.H - Tron player routines for X

  Rhett D. Jacobs   <rhett@jaemol.cbr.fidonet.org>

  Version 1.0

  Last Modified: 1/1/95
*/

#ifndef XTRON_H
#define XTRON_H

#define WIN_WIDTH 384
#define WIN_HEIGHT 512
#define DIMS (WIN_WIDTH/8)
#define MAXVERT (WIN_WIDTH/8)
#define MINVERT 0
#define MAXHORZ (WIN_WIDTH/8)
#define MINHORZ 0


enum directions {left, right, up, down};
enum play_types {human, computer};

struct Player {
  short int co_ords[2];
  short int plr_num;  
  int score;
  int alive;
  enum directions plr_dir;
  enum play_types plr_type; 
} p[2];

struct Board {
  short int contents[200][200];
} b;

 
void plr_setup(void);
int plr_checkmove(int p_num, int new_val, int axis_type, enum directions dir);
void plr_turn(int p_num, enum directions dir);
void brd_setup(void);
int brd_newcontents(int x, int y, int what);

#endif
